Opened 8 years ago

Closed 8 years ago

Last modified 8 years ago

#3042 closed defect (fixed)

Torbutton 1.3.2-alpha doesn't work with Firefox 4.0.1

Reported by: M Owned by: mikeperry
Priority: Very High Milestone:
Component: Applications/Torbutton Version: Torbutton: 1.3.0-alpha
Severity: Keywords: MikePerryIterationFires20110501
Cc: Actual Points: 0.5
Parent ID: Points: 0.5
Reviewer: Sponsor:

Description

Torbutton is disabled after updating Firefox to the latest public version. Upon trying to install Torbutton in the latest release of Firefox, it returns the following error:

"Torbutton could not be installed because it is not compatible with Firefox 4.0.1."

The error console returns this:

"Warning: WARN addons.updates: Update manifest is missing a required version property.
Source File: resource://gre/modules/AddonUpdateChecker.jsm
Line: 324"

Child Tickets

Change History (4)

comment:1 Changed 8 years ago by Ache

Points: 6

comment:2 Changed 8 years ago by mikeperry

Points: 6
Resolution: fixed
Status: newclosed

This is fixed in origin/master. Look for a Torbutton 1.3.3-alpha release today.

comment:3 Changed 8 years ago by mikeperry

Actual Points: 5
Keywords: MikePerryIterationFires20110501 added
Points: 5

Actually, 6 points isn't a bad guess. It takes about 8-12 hours to put out a release these days thanks to transifex...

comment:4 Changed 8 years ago by mikeperry

Actual Points: 50.5
Points: 50.5

Moving these points to a separate ticket (#3065). This actual fix was very quick.

Note: See TracTickets for help on using tickets.